1 Star 0 Fork 4.9K

ABC/AJ-Report

forked from anji-plus/AJ-Report 
加入 Gitee
与超过 1200万 开发者一起发现、参与优秀开源项目,私有仓库也完全免费 :)
免费加入
文件
克隆/下载
build.sh 1.29 KB
一键复制 编辑 原始数据 按行查看 历史
qianming 提交于 2024-12-31 13:53 . 打包问题修复
#!/bin/bash
echo "判断node.js mvn是否存在"
command -v npm || { echo >&2 "I require node.js v14.16.0+ but it's not installed. Aborting."; sleep 5; exit 1; }
command -v mvn || { echo >&2 "I require maven 3.5 + but it's not installed. Aborting."; sleep 5; exit 1; }
cd `dirname $0`
BuildDir=`pwd` #工程根目录
echo "build web"
cd $BuildDir/report-ui
echo "npm install"
npm install
if [ $? -ne 0 ]; then
npm install --registry=https://mirrors.cloud.tencent.com/npm/
fi
echo "cp echarts map js"
cp -r node_modules_echarts_need/* node_modules/echarts/
echo "npm run build"
npm run build:prod
echo "publish web to springboot src/main/resources/static"
rm -rf $BuildDir/report-core/src/main/resources/static
mkdir -p $BuildDir/report-core/src/main/resources/static
if [ ! -e "$BuildDir/report-ui/dist" ];then
echo "no build dist exist,web-build-failed"
exit 1
fi
echo ""
cp -r $BuildDir/report-ui/dist/* $BuildDir/report-core/src/main/resources/static/
echo "build springboot"
cd $BuildDir/report-core
echo "mvn clean package"
mvn clean package -Dmaven.test.skip=true
echo "zip finish in build dir"
if [ ! -d "$BuildDir/build" ]; then
mkdir $BuildDir/build
fi
mv $BuildDir/report-core/target/aj-report-*.zip $BuildDir/build/
rm -rf $BuildDir/report-core/src/main/resources/static/*
echo "Finish"
Loading...
马建仓 AI 助手
尝试更多
代码解读
代码找茬
代码优化
Java
1
https://gitee.com/bestgengxiang/report.git
[email protected]:bestgengxiang/report.git
bestgengxiang
report
AJ-Report
master

搜索帮助